// Copyright (C) 2003 by ASUSTeK. All rights are reserved.

var snsridHasFRU =             parent.asID['DUMMY_SENSORID_HASFRU'];
var snsridHasDMI =             parent.asID['DUMMY_SENSORID_HASDMI'];
var snsridHasIPMI =            parent.asID['DUMMY_SENSORID_HASIPMI'];


var snridBkplFan1Speed =       (parent.asID['ASWM_SNRTYPE_FAN'] << 16) + 0x1110;
var snridBkplBay1Plug =        (parent.asID['ASWM_SNRTYPE_PLUGINOUT'] << 16) + 0x1110;
var snridBkplBay2Plug =        (parent.asID['ASWM_SNRTYPE_PLUGINOUT'] << 16) + 0x1120;
var snridBkplBay3Plug =        (parent.asID['ASWM_SNRTYPE_PLUGINOUT'] << 16) + 0x1130;
var snridBkplBay4Plug =        (parent.asID['ASWM_SNRTYPE_PLUGINOUT'] << 16) + 0x1140;

var snridBkpl2Fan1Speed =      (parent.asID['ASWM_SNRTYPE_FAN'] << 16) + 0x1210;
var snridBkpl2Bay1Plug =       (parent.asID['ASWM_SNRTYPE_PLUGINOUT'] << 16) + 0x1210;
var snridBkpl2Bay2Plug =       (parent.asID['ASWM_SNRTYPE_PLUGINOUT'] << 16) + 0x1220;
var snridBkpl2Bay3Plug =       (parent.asID['ASWM_SNRTYPE_PLUGINOUT'] << 16) + 0x1230;
var snridBkpl2Bay4Plug =       (parent.asID['ASWM_SNRTYPE_PLUGINOUT'] << 16) + 0x1240;


//////////////////////////////////////////////
// The System View Addon Item except default Item

var imgPath = './img/rs700-e6-rs4/';

var theSystem = new SysModel ('model.jpg', chassis_tower);

theSystem.attachView('h',
    new SysModelView (parent.I18N['HOME'], parent.I18N['HOME'])
);

//////////////////////////////////////////////
// The System Backplane and Power structure

var theSysBackplane = new Array ();

theSysBackplane[parent.asLbID['ASWM_SNRGROUP_BACKPLANE1']] = new SysBackplane (
    'BP4LX2-R12A', '../z/bg.gif', false,
    new Tuple (snridBkplFan1Speed),
    new Tuple (
        new Tuple (snridBkplBay1Plug),
        new Tuple (snridBkplBay2Plug),
        new Tuple (snridBkplBay3Plug),
        new Tuple (snridBkplBay4Plug)
    ),
    new triple (parent.asID['ASWM_CFGGROUP_ASMA'] << 16, parent.asID['ASWM_SNRGROUP_BACKPLANE1'] << 16, parent.asID['ASWM_CFGTYPE_BACKPLANE'])
);